import { DependencyList } from "react";
type Fn<T> = () => Promise<T>;
export declare function useAsyncMemo<T>(fn: Fn<T>, deps: DependencyList, initialValue: T): T;
export declare function useAsyncMemo<T>(fn: Fn<T>, deps: DependencyList, initialValue?: T): T | undefined;
export {};
